Package Details: qprotractor-git v0.0.1-1

Git Clone URL: https://aur.archlinux.org/qprotractor-git.git (read-only)
Package Base: qprotractor-git
Description: Onscreen Protractor
Upstream URL: http://kibergus.su/en/node/73/
Licenses: GPL
Conflicts: qprotractor-git
Provides: qprotractor-git
Submitter: kellpossible
Maintainer: kellpossible
Last Packager: kellpossible
Votes: 1
Popularity: 0.74
First Submitted: 2015-10-09 14:22
Last Updated: 2017-04-07 11:26

Latest Comments

kellpossible commented on 2017-04-07 11:26

@sloppybench, merged! thanks for fixing that, great stuff.
@lowpass sorry I must have missed your comment. not sure how I got that so wrong in the PKGBUILD, it's fixed now with @sloppybench's changes, which I've merged now to here.

sloppybench commented on 2017-04-07 05:44

@kellpossible qprotractor will build and work with the latest Arch packages if you accept pull request #1 in GitHub and change the following three lines in PKGBUILD:

-makedepends=('git' 'make' 'gcc' 'qt4' 'qt5-base' 'qt5-tools')
+makedepends=('git' 'make' 'gcc' 'qt5-base' 'qt5-tools')

- cd "$srcdir/go/src/github.com/calmh/syncthing"
+ cd "$srcdir/qprotractor-git"

- qmake-qt4 qprotractor.pro -r -spec linux-g++
+ qmake-qt5 qprotractor.pro -r -spec linux-g++

lowpass commented on 2017-01-29 19:17

Does not build: <build-dir>/qprotractor-git/PKGBUILD: line 21: cd: <build-dir>/qprotractor-git/src/go/src/github.com/calmh/syncthing: No such file or directory